local function run(msg, matches)
	local receiver = get_receiver(msg)
	local url = 'http://www.speedtest.net/result/'..matches[1]..'.png'
		send_photo_from_url(receiver, url)
end

return {
  description = "Speedtest.net Mirror", 
  usage = {"Speedtest.net Result Link"},
  patterns = {"speedtest.net/my%-result/([0-9]+)"},
  run = run 
}
--by Akamaru [https://ponywave.de]